vim.cmd("nnoremap <Space> <Nop>")
vim.g.mapleader = ' '

vim.cmd("set tabstop=4")
vim.cmd("set softtabstop=0")
vim.cmd("set shiftwidth=0")

vim.keymap.set("n", "<leader>+x", ":!chmod +x %<CR>", {silent = true})
vim.keymap.set("n", "<leader>+r", ":!chmod +r %<CR>", {silent = true})
vim.keymap.set("n", "<leader>+w", ":!chmod +w %<CR>", {silent = true})

vim.keymap.set("n", "<leader>-x", ":!chmod -x %<CR>", {silent = true})
vim.keymap.set("n", "<leader>-r", ":!chmod -r %<CR>", {silent = true})
vim.keymap.set("n", "<leader>-w", ":!chmod -w %<CR>", {silent = true})

vim.opt.nu = true

vim.opt.termguicolors = true

vim.opt.hlsearch = false
vim.opt.incsearch = true

vim.opt.scrolloff = 6
